admin_cleanup_tasks
POST
/api/v1/admin/tasks/cleanup
const url = 'https://example.com/api/v1/admin/tasks/cleanup';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"finished_before":"example","kind":"archive_extract","status":"pending"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/admin/tasks/cleanup";
let payload = json!({ "finished_before": "example", "kind": "archive_extract", "status": "pending" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/admin/tasks/cleanup \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "finished_before": "example", "kind": "archive_extract", "status": "pending" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Completed tasks cleaned up
Media typeapplication/json
统一 API 响应格式
成功: { "code": "success", "msg": "", "data": {...} }
失败: { "code": "auth.credentials_failed", "msg": "Invalid Credentials" }
object
Example
{ "code": "success"}Validation error
Unauthorized
Forbidden